Subject: bug#50743: Emacsclient not tested vs. Local Variables prompt

From: martin rudalics <[email-masked]>
Date: Sun, 26 Sep 2021 11:12:05 +0200

> And if you set server-raise-frame to nil, the "problem" happens in
 > both cases, right?
 >
 > So I'm not sure this is a bug.  The user should switch to the correct
 > frame to answer the question.  On my system, there's a prominent
 > indication that the client frame needs my attention, but even if there
 > isn't, the user should be vigilant enough to type the response into
 > the right frame.
 >
 > If we do want to somehow raise the frame earlier, we should do it
 > conditioned by server-raise-frame, because some users don't want the
 > frame to raise and get input focus.  But it isn't clear to me where
 > would be the correct place to raise the frame "earlier".

Maybe 'server-raise-frame' does too much when it triggers
'select-frame-set-input-focus'.  Still I consider it a bug when the user
gets prompted and the frame displaying the prompt doesn't have focus.

martin